/*******************************************************************************
Copyright © 2023 Sebastian Roith <https://www.roith-unterrichtet.de>

Licensed under CC BY 4.0. To view a copy of this license, visit http://creativecommons.org/licenses/by/4.0/
*******************************************************************************/

window.CODINGTASK = {
	"heading": "Auftrag",
	"html": "<p>Schreibe eine geeignete Klassendefinition, sodass das durch die Objektkarte beschriebene Objekt möglich ist. Verzichte auf Methoden:</p><figure style=\"text-align:center;padding:0;margin:0\"><svg version=\"1.1\" xmlns=\"http://www.w3.org/2000/svg\" viewBox=\"0 0 151.5 114\" width=\"75.75mm\" height=\"57mm\" style=\"height:auto;max-width:100%\"><defs><style><![CDATA[text{font-weight:bold;font-size:11;font-family:'Courier New',monospace}]]></style></defs><path d=\"M146 0.5 A5 5 0 0 1 151 5.5 V108.5 A5 5 0 0 1 146 113.5 H5.5 A5 5 0 0 1 0.5 108.5 V5.5 A5 5 0 0 1 5.5 0.5 Z\" fill=\"#fff\" stroke=\"#000\" /><path d=\"M146 0.5 A5 5 0 0 1 151 5.5 V30.5 H0.5 V5.5 A5 5 0 0 1 5.5 0.5 Z\" fill=\"#d3d7cf\" stroke=\"#000\" /><text x=\"46\" y=\"18.5\"><tspan x=\"\" y=\"18.5\" fill=\"#ce5c00\"></tspan></text><text x=\"46\" y=\"18.5\"><tspan x=\"46\" y=\"18.5\" fill=\"#2e3426\">:</tspan></text><text x=\"54.5\" y=\"18.5\"><tspan x=\"54.5 63 71.5 80 88.5 97\" y=\"18.5\" fill=\"#a40000\"> STIFT</tspan></text><text x=\"3.5\" y=\"48.5\"><tspan x=\"3.5 12 20.5 29 37.5 46\" y=\"48.5\" fill=\"#204a87\">farbe </tspan></text><text x=\"54.5\" y=\"48.5\"><tspan x=\"54.5\" y=\"48.5\" fill=\"#2e3426\">=</tspan></text><text x=\"63\" y=\"48.5\"><tspan x=\"63 71.5 80 88.5 97 105.5 114\" y=\"48.5\" fill=\"#4e9a06\"> \"blau\"</tspan></text><text x=\"3.5\" y=\"63.5\"><tspan x=\"3.5 12 20.5 29 37.5 46\" y=\"63.5\" fill=\"#204a87\">dicke </tspan></text><text x=\"54.5\" y=\"63.5\"><tspan x=\"54.5\" y=\"63.5\" fill=\"#2e3426\">=</tspan></text><text x=\"63\" y=\"63.5\"><tspan x=\"63 71.5 80 88.5\" y=\"63.5\" fill=\"#4e9a06\"> 2,5</tspan></text><text x=\"3.5\" y=\"78.5\"><tspan x=\"3.5 12 20.5 29 37.5 46 54.5 63 71.5 80\" y=\"78.5\" fill=\"#204a87\">permanent </tspan></text><text x=\"88.5\" y=\"78.5\"><tspan x=\"88.5\" y=\"78.5\" fill=\"#2e3426\">=</tspan></text><text x=\"97\" y=\"78.5\"><tspan x=\"97 105.5 114 122.5 131\" y=\"78.5\" fill=\"#4e9a06\"> nein</tspan></text><text x=\"3.5\" y=\"93.5\"><tspan x=\"3.5 12 20.5 29 37.5 46 54.5 63 71.5 80 88.5\" y=\"93.5\" fill=\"#204a87\">produziert </tspan></text><text x=\"97\" y=\"93.5\"><tspan x=\"97\" y=\"93.5\" fill=\"#2e3426\">=</tspan></text><text x=\"105.5\" y=\"93.5\"><tspan x=\"105.5 114 122.5 131 139.5\" y=\"93.5\" fill=\"#4e9a06\"> 2023</tspan></text><text x=\"3.5\" y=\"108.5\"><tspan x=\"3.5 12 20.5 29 37.5 46 54.5 63\" y=\"108.5\" fill=\"#204a87\">benutzt </tspan></text><text x=\"71.5\" y=\"108.5\"><tspan x=\"71.5\" y=\"108.5\" fill=\"#2e3426\">=</tspan></text><text x=\"80\" y=\"108.5\"><tspan x=\"80 88.5 97\" y=\"108.5\" fill=\"#4e9a06\"> ja</tspan></text></svg></figure>",
	"code": "// Hier Klassendefinition eingeben\n",
	"canReset": false,
	"labelSubmit": "📥 Klassendefinition überprüfen",
	"checkType": "json",
	"checkData": [
		{
			"part": "class",
			"name": "STIFT",
			"extends": "Object",
			"implements": [],
			"abstract": false,
			"final": false,
			"static": false,
			"content": [
				{
					"part": "attribute",
					"name": "farbe",
					"type": "String",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "dicke",
					"type": [
						"float",
						"double"
					],
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "permanent",
					"type": "boolean",
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "produziert",
					"type": [
						"int",
						"short",
						"long",
						"char"
					],
					"dimensions": 0,
					"static": false
				},
				{
					"part": "attribute",
					"name": "benutzt",
					"type": "boolean",
					"dimensions": 0,
					"static": false
				}
			]
		}
	]
}
